[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# GetUserDir

Returns the current user's home directory.

## Declaration

Source position: osutilsh.inc line 42

`function GetUserDir: string;`

## Description

GetUserDir returns the home directory of the current user. On Unix-like systems (that includes Mac OS X), this is the value of the HOME environment variable. On Windows, this is the PROFILE special folder. On all other platforms, the application installation directory is returned.

If non-empty, it contains a trailing path delimiter.

## See also

GetAppConfigDir |  | Return the appropriate directory for the application's configuration files.

Documentation generated on: Feb 26 2014